
User Interface - Bug #2769

Bug # 2677 (New): fix drawing and functional differences between P2J GUI and 4GL GUI

the cursor moves roughly if press and hold the right or left arrow on to position it in the text editor

10/20/2015 02:48 PM - Sergey Ivanovskiy

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 70%

Category:  Estimated time: 0.00 hour

Target version: Cleanup and Stabilization for GUI   

billable: No case_num:  

vendor_id: GCD   

Description

History

#1 - 10/20/2015 02:49 PM - Sergey Ivanovskiy

For this example ./demo/demo_widgets.p, if we focus text editor component, then press left or right buttons to move the cursor, it moves with stops

and jumps (roughly).

#2 - 10/20/2015 03:32 PM - Greg Shah

- Subject changed from The cursor moves roughly if press and hold the right or left arrow on to position it in the text editor to the cursor moves roughly

if press and hold the right or left arrow on to position it in the text editor

- Target version set to Milestone 12

- Start date deleted (10/20/2015)

This is a bug that is specific to the GUI web client.

#3 - 03/23/2016 05:08 PM - Greg Shah

- Target version changed from Milestone 12 to Milestone 16

#4 - 04/01/2016 10:36 AM - Greg Shah

Is this still an issue in 1811t?

#5 - 04/01/2016 11:16 AM - Sergey Ivanovskiy

The cursor is moving more smoothly, and if we press and hold the key, then an auto press key occurs and it looks smooth, but the keys buffer grows

more rapidly than new symbol appears.

#6 - 04/01/2016 11:31 AM - Sergey Ivanovskiy

If we press and hold the left or right arrow button to move the cursor, then it can jump from one position to the next due to the keys buffer grows

rapidly.

#7 - 04/01/2016 11:32 AM - Greg Shah

- % Done changed from 0 to 70

OK, it sounds like a significant improvement but perhaps not 100% done.  We will look at this later.
#8 - 11/16/2016 12:23 PM - Greg Shah

- Target version changed from Milestone 16 to Cleanup and Stabilization for GUI
